---
sidebar_position: 15
---
# Jackpot Setup

---

## Overview

- The jackpot feature is a special mechanic that gives players a chance to win a **large prize**, usually much higher than normal game payouts. There are different types of jackpots, but they all revolve around **a big win trigger**, either randomly or through special symbols or bonuses.

| Tier  | Description                  | Preview                                                    |
|-------|------------------------------|------------------------------------------------------------|
| Grand | Highest and rarest jackpot   | ![Grand](../img/05-main-scene/jackpot-panel/jackpot-grand.png) |
| Major | High-value, less rare        | ![Major](../img/05-main-scene/jackpot-panel/jackpot-major.png) |
| Minor | Medium, more frequent        | ![Minor](../img/05-main-scene/jackpot-panel/jackpot-minor.png) |
| Mini  | Lowest, frequent small wins  | ![Mini](../img/05-main-scene/jackpot-panel/jackpot-mini.png)   |

- The panel is responsive and supports both desktop and mobile layouts:

| Orientation | Preview                                                    |
|-------------|------------------------------------------------------------|
| Desktop     | ![Desktop](../img/05-main-scene/jackpot-panel/jackpot-desktop.png) |
| Mobile      | ![Mobile](../img/05-main-scene/jackpot-panel/jackpot-mobile.png)   |

## Implementation

### Core Prefabs

- Use the prefabs located at:  

    |`assets/core-assets/jackpot-package/prefabs`|![Core](../img/05-main-scene/jackpot-panel/jackpot-core-prefabs.png)|
    |--------------------------------------------|--------------------------------------------------------------------|

### Setup Steps

#### Desktop

- Add the jackpot prefab to your main scene.
- Set its position to **(0, 0)**.

        ![Desktop](../img/05-main-scene/jackpot-panel/jackpot-in-desktop.png)

        More info: [Platform Node Spawner](http://localhost:3000/docs/faqs/setup-cocos-scene#platform-node-spawner)

#### Mobile

- Configure the jackpot node for both landscape and portrait orientations.
- Use `UI Mobile Position` for a responsive layout.

        ![Mobile](../img/05-main-scene/jackpot-panel/jackpot-in-mobile.png)

         More info: [UI Mobile Position](http://localhost:3000/docs/faqs/setup-cocos-scene#ui-mobile-landscape--portrait--position)

- Example using `Platform Node Spawner`:

        ![Mobile Spawner](../img/05-main-scene/jackpot-panel/jackpot-in-mobile-spawner.png)

        More info: [Platform Node Spawner](http://localhost:3000/docs/faqs/setup-cocos-scene#platform-node-spawner)

### Result

- The jackpot panel works seamlessly across all platforms and orientations.

        ![Result](../img/05-main-scene/jackpot-panel/jackpot-result.png)

        More info: [Node Spawner](http://localhost:3000/docs/faqs/setup-cocos-scene#node-spawner)

:::tip
**Sibling Index Order:**
| Node Name                              | Sibling Index | Notes                                 |
|----------------------------------------|---------------|---------------------------------------|
| `jackpot-runner-panel-desktop-spawner` | Lowest        | Usually at the bottom                 |
| `container-jackpot-runner-mobile`      | Middle        | Between desktop and result panels     |
| `jackpot-result-panel-spawner`         | Highest       | Always on top <br />   ![Result](../img/05-main-scene/jackpot-panel/jackpot-positon-result.png)                      |
:::


## Game Result Examples

| Win Tier | Example |
|----------|------------------------------------------------------------------|
| Grand    | ![Grand](../img/05-main-scene/jackpot-panel/jackpot-grand-win.png) |
| Major    | ![Major](../img/05-main-scene/jackpot-panel/jackpot-major-win.png) |
| Minor    | ![Minor](../img/05-main-scene/jackpot-panel/jackpot-minor-win.png) |
| Mini     | ![Mini](../img/05-main-scene/jackpot-panel/jackpot-mini-win.png)   |
